---
search:
  tags:
    - Customer Groups
    - GET
seo:
  description: >-
    Returns custome… Reference for the GET
    /api/v1/{app_id}/customer-groups/store-groups/{store_group_id}/markets/{market_id}/prices
    endpoint in the Customers API.
sidebar:
  label: Get customer groups with paginated prices for a user or organisation
  badge: GET
title: Get customer groups with paginated prices for a user or organisation
type: openapi-operation
---
Returns customer groups accessible to the given user (direct + organisations + ancestor organisations) OR to the given organisation (direct + ancestor organisations), for the given store group. Exactly one of `user_id` or `organisation_id` must be provided. Product variant customer group prices for the given market are paginated and nested under their customer group. Repeat `parent_number` to filter prices to variants under any of the given parent product numbers.

`GET /api/v1/{app_id}/customer-groups/store-groups/{store_group_id}/markets/{market_id}/prices`

**Responses**

- `200` — Customer groups with nested paginated prices
- `400` — Invalid request
- `401` — Unauthorized access
- `500` — Internal server error

Response example, 200:

```json
{
  "customer_groups": [
    {
      "app_id": "string",
      "created_at": "string",
      "discount_percentage": 0,
      "discount_percentage_decimals": 0,
      "id": "string",
      "name": "string",
      "prices": [
        {
          "created_at": "string",
          "id": "string",
          "price_amount": 0,
          "product_number": "string",
          "product_variant_id": "string",
          "updated_at": "string",
          "variant_number": "string"
        }
      ],
      "slug": "string",
      "store_group_id": "string",
      "type": "string",
      "updated_at": "string"
    }
  ],
  "page": 0,
  "page_size": 0,
  "total_items": 0,
  "total_pages": 0
}
```
